Internal Server Error on a new installation  [SOLVED]

Please describe the issue you're having
If you accept the answer, please mark the topic as [SOLVED] by clicking the tick.

Moderators: RussH, cptr13

Forum rules
Just please remember to play nicely once you walk through the door. You can disagree with us, or any other commenters in this forum, but respect our space and keep your comments directed to the topic at hand.
Post Reply
opencats_uio_ec
Posts: 3
Joined: 26 Feb 2018, 00:13
what is two(2) plus three(3) ?: 5

Internal Server Error on a new installation  [SOLVED]

Post by opencats_uio_ec » 26 Feb 2018, 00:29

Hi to all
I am 2 hours new in Opencats (uploading files and trying to install it on my hosting server)
I uploaded the zip file, decompressed, take the Opencast folder, put it on the public_html, créate the database and when i tried to install it..... Kaboom!!
I got a text whit this error message:
"Internal Server Error
The server encountered an internal error or misconfiguration and was unable to complete your request.
Please contact the server administrator at webmaster@integratecsolutions.com to inform them of the time this error occurred, and the actions you performed just before this error.
More information about this error may be available in the server error log.
Additionally, a 500 Internal Server Error error was encountered while trying to use an ErrorDocument to handle the request."
Is there any awesome collegue than can help me with this issue?
I will be looking forward to hear from any helper
Thanks
Boris - UIO - EC
Buddy Researcher
Note: I am starting a new enterprise after 27 years being an employee. It is stil borning but I have a special purpose: to give technical help and support to small and medium size enterprises with technology gnu tools
By the way my native language is Spanish, so my English is not as I would like it to be.. Sorry!!

opencats_uio_ec
Posts: 3
Joined: 26 Feb 2018, 00:13
what is two(2) plus three(3) ?: 5

Re: Internal Server Error on a new installation

Post by opencats_uio_ec » 27 Feb 2018, 01:55

I watche a video regarding the installation process of a prior version, and it uses an SSH access to installa all the linux dependencies for opencats.
But in the documentation for the new version, in the installatión proces guide it is not anymore. Is not needed anymore wiwth the new version?..... Maybe that is why I can´t get through the installation process?

User avatar
RussH
Site Admin
Posts: 783
Joined: 12 Apr 2008, 08:28
what is two(2) plus three(3) ?: 5
Location: UK
Contact:

Re: Internal Server Error on a new installation

Post by RussH » 27 Feb 2018, 10:29

Hey there.

There are two versions in the releases.
One is the 'docker image' (for deployment in a docker container) and this does not contain the dependencies, as they'll be pulled in by composer.
The other version is the 'full' version which should be used for a standard linux / XAMPP install.

Can you first check that you're using the correct version?
FULL: https://github.com/opencats/OpenCATS/re ... ull.tar.gz
RussH

Report your issues and feature requests;
https://github.com/opencats/opencats/issues

Please CLICK THE TICK to accept the answer!

opencats_uio_ec
Posts: 3
Joined: 26 Feb 2018, 00:13
what is two(2) plus three(3) ?: 5

Re: Internal Server Error on a new installation

Post by opencats_uio_ec » 27 Feb 2018, 19:34

Hi RussH and thank you very much
Your advice was the correct one
I got into the wizzard to install opencats but in the system check i got a red warning: PHP MySQL extensión is not loaded
I am on a hosting server in wich i dont have Access to the php.ini
I am asking the administrator to grant me permisión to have SSH Access but I think it would no be posible.
Is there anything I can do to complete the installation process?
Best regards
Boris

https://1drv.ms/u/s!ApPb9-ZcaLiFgflZtXuvEg2w5HrRrw

User avatar
RussH
Site Admin
Posts: 783
Joined: 12 Apr 2008, 08:28
what is two(2) plus three(3) ?: 5
Location: UK
Contact:

Re: Internal Server Error on a new installation

Post by RussH » 08 Mar 2018, 15:23

opencats_uio_ec wrote:Hi RussH and thank you very much
Your advice was the correct one
I got into the wizzard to install opencats but in the system check i got a red warning: PHP MySQL extensión is not loaded
I am on a hosting server in wich i dont have Access to the php.ini
I am asking the administrator to grant me permisión to have SSH Access but I think it would no be posible.
Is there anything I can do to complete the installation process?
Best regards
Boris

https://1drv.ms/u/s!ApPb9-ZcaLiFgflZtXuvEg2w5HrRrw
Hey Boris -

if you're running too new a version of PHP.. then it wont have this. Please check the supported versions in the release notes (at http://github.com/opencats/opencats/releases) and ensure you're running with a supported version.
RussH

Report your issues and feature requests;
https://github.com/opencats/opencats/issues

Please CLICK THE TICK to accept the answer!

Post Reply